<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.CertificateRequest']}</h2>

        <s:div styleClass="gzl-alert gzl-alert-orange" rendered="#{not requestView.isReady()}">
            <h:outputText value="#{messages['net.ihe.gazelle.atna.PleaseProvideAValidCertificateRequestidParameter']}"/>
        </s:div>

        <s:decorate template="/layout/panels/_panel_title.xhtml" rendered="#{requestView.isReady()}">
            <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.RequestDetails']}</ui:define>

            <ui:param name="request" value="#{requestView.request}"/>
            <dl class="dl-horizontal">
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.RequestId']}</ui:define>
                    <h:outputText value="#{request.id}"/>
                    <s:span styleClass="fa fa-globe" title="#{messages['net.ihe.gazelle.atna.ThisIsACASAutoLoginCertificateRequest']}"
                            rendered="#{requestView.isCasAutoLoginRequest(request)}"/>
                    <s:span styleClass="fa fa-upload" title="#{messages['net.ihe.gazelle.atna.ThisIsAnUploadedCSR']}"
                            rendered="#{requestView.isUploadedCSRRequest(request)}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Subject']}</ui:define>
                    <h:outputText value="#{request.subject}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Requester']}</ui:define>
                    <h:outputText value="#{requestView.getUserName(request.requesterUsernameWithKey)}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Date_2']}</ui:define>
                    <g:date value="#{request.requestDate}"/>
                </ui:decorate>
            </dl>

            <dl class="dl-horizontal">
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.PublicKey']}</ui:define>
                    <pre class="small">#{requestView.getPublicKey()}</pre>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.PrivateKey']}</ui:define>
                    <h:panelGroup rendered="${requestView.isPrivateKeyAvailable()}">
                        <pre class="small">#{requestView.getPrivateKey()}</pre>
                    </h:panelGroup>
                    <h:panelGroup rendered="${!requestView.isPrivateKeyAvailable()}">
                        <h:outputText value="#{messages['net.ihe.gazelle.atna.RightsNeededNotAvailable']}"/>
                    </h:panelGroup>
                </ui:decorate>
            </dl>

            <dl class="dl-horizontal">
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateAuthority_3']}</ui:define>
                    <h:outputLink value="#{requestView.getCertificateViewLink(request.certificateAuthority.id)}"
                                  rendered="#{request.certificateAuthority != null}">
                        <h:outputText value="#{request.certificateAuthority.subject}"/>
                    </h:outputLink>
                    <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                                  rendered="#{request.certificateAuthority == null}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.SignatureAlgorithm']}</ui:define>
                    <h:outputText value="#{request.signatureAlgorithm}"/>
                </ui:decorate>
            </dl>

            <dl class="dl-horizontal">
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateType']}</ui:define>
                    <h:outputText value="#{request.certificateExtension.getFriendlyName()}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.Certificate']}</ui:define>

                    <h:panelGroup rendered="#{request.certificate != null}">
                        <span class="fa fa-check text-success"
                              title="#{messages['net.ihe.gazelle.atna.RequestSigned']}"></span>
                        <h:outputLink value="#{requestView.getCertificateViewLink(request.certificate.id)}">
                            <h:outputText value="#{request.certificate.subject}"/>
                        </h:outputLink>
                    </h:panelGroup>

                    <h:panelGroup rendered="#{request.certificate == null}">
                        <span class="fa fa-times text-danger"
                              title="#{messages['net.ihe.gazelle.atna.RequestNotYetSigned']}"></span>
                        <h:outputText value="#{messages['net.ihe.gazelle.atna.RequestNotYetSigned']}"/>
                    </h:panelGroup>
                </ui:decorate>
            </dl>

        </s:decorate>

        <h:outputLink value="#{requestView.getRequestListLink()}" styleClass="gzl-btn">
            #{messages['net.ihe.gazelle.atna.BackToList']}
        </h:outputLink>

    </ui:define>
</ui:composition>
